For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
              • POSTCapture Order Payment
              • POSTVoid
              • POSTCreate Refund Quote
              • GETList Refunds for Order
              • POSTCreate Refund
              • GETGet Refund
              • GETList Refunds
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder OperationsPayment Actions

Create Refund Quote

POST
https://api.bigcommerce.com/stores/:store_hash/v3/orders/:order_id/payment_actions/refund_quotes
POST
/stores/:store_hash/v3/orders/:order_id/payment_actions/refund_quotes
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refund_quotes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "tax_adjustment_amount": 5.75
>}'
1{
2 "data": {
3 "order_id": 10234,
4 "total_refund_amount": 45.5,
5 "total_refund_tax_amount": 3.75,
6 "order_level_refund_amount": 41.75,
7 "rounding": 0.05,
8 "adjustment": -2.5,
9 "tax_inclusive": false,
10 "refund_methods": [
11 [
12 {
13 "provider_id": "checkout_stripe",
14 "provider_description": "Stripe Credit Card",
15 "amount": 30,
16 "offline": false,
17 "offline_provider": false,
18 "offline_reason": ""
19 }
20 ],
21 [
22 {
23 "provider_id": "storecredit",
24 "provider_description": "Store Credit",
25 "amount": 15.5,
26 "offline": false,
27 "offline_provider": false,
28 "offline_reason": ""
29 }
30 ]
31 ]
32 },
33 "meta": {}
34}
Calculate the tax amount, total refund amount and get available payment options for an order refund by providing items and costs or quantities to refund. Requires at least one of the following scopes: * `store_v2_orders` * `store_v2_transactions` **Notes:** * Create a refund quote before performing a refund request to best avoid a `422` error. Check the refund quote's response body for the `refund_methods` array. The `amount` given in the array must match the `amount` used in the refund request body. * Order refunds should be processed sequentially. Processing multiple concurrent refunds on the same order is not yet supported.
Was this page helpful?
Previous

Void

Next

List Refunds for Order

Built with

Calculate the tax amount, total refund amount and get available payment options for an order refund by providing items and costs or quantities to refund.

Requires at least one of the following scopes:

  • store_v2_orders
  • store_v2_transactions

Notes:

  • Create a refund quote before performing a refund request to best avoid a 422 error. Check the refund quote’s response body for the refund_methods array. The amount given in the array must match the amount used in the refund request body.
  • Order refunds should be processed sequentially. Processing multiple concurrent refunds on the same order is not yet supported.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
Items RefundobjectRequired
OR
Tax Adjustment RefundobjectRequired

Response

dataobject
metaobject
Response metadata.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.